from servicio.models import *
from django.contrib import admin

class RespuestaLista(admin.TabularInline):
    model = Respuesta
    extra = 3
class AreaLista(admin.TabularInline):
    model = Area
    max_num=3
    #extra = 3


class PreguntaAdmin(admin.ModelAdmin):
    fieldsets = [
        ('Agregar nueva informacion',               {'fields': ['nombre_pregunta']}),
        ('Area', {'fields': ['area']}),
       
    ]
    inlines = [RespuestaLista]
    list_display = ('nombre_pregunta','area')
   
    list_filter = ['area']
    search_fields = ['nombre_pregunta']
  

class ResultadoAdmin(admin.ModelAdmin):
    fieldsets = [
        ('Resultados',               {'fields': ['alumno']}),

        ('respuesta', {'fields': ['respuesta']}),
       
    ]
    
    list_display = ('respuesta','cont_respuesta')
   
    list_filter = ['alumno']
    
admin.site.register(Alumno)
admin.site.register(Area)
admin.site.register(Pregunta, PreguntaAdmin)
admin.site.register(Respuesta)
admin.site.register(Resultado, ResultadoAdmin)