#encoding:utf-8
from django.db.models.base import Model
from django.forms import *
from django import forms
from servicio.models import *
from django.forms.widgets import *
import datetime


'''
Formulario para crear los cuestionarios
'''
class CuestionarioForm(ModelForm):
    class Meta:
        model = Cuestionario

    def clean(self):
        return self.cleaned_data
"""
Formulario para agregar las areas

"""
class AreaForm(ModelForm):
    class Meta:
        model = Area
    def clean(self):
        return self.cleaned_data
"""
Formulario para agregar las preguntas

"""
class PreguntaForm(forms.ModelForm):

    Area = forms.ModelChoiceField(label="Categoria:", queryset=Area.objects.none(), required=True,
                                   widget=forms.Select(attrs={'class': 'required span12'}))
    class Meta:
        model = Pregunta

    def clean(self):
        return self.cleaned_data


    respuesta = forms.CharField(label='Respuesta :')
    acierto = forms.BooleanField(required=False, label='¿Correcta? :', initial=False)

"""
Formulario para agregar las respuestas

"""
class RespuestaForm(forms.ModelForm):
    class Meta:
        model = Respuesta

    def clean(self):
        return self.cleaned_data
"""
Formulario para agregar los alumnos

"""
class AlumnoForm(forms.ModelForm):

    class Meta:
        model = Alumno
        exclude=['fecha']

    def clean(self):
        return self.cleaned_data

class DirectivoForm(forms.ModelForm):

    class Meta:
        model = Directivo
        exclude=['fecha']

    def clean(self):
        return self.cleaned_data



class FormularioBusqueda(forms.ModelForm):
    class Meta:
        model = Alumno
        exclude=['fecha']
    def clean(self):
        return self.cleaned_data


class CrearPreguntaForm(forms.ModelForm):
    area = forms.ModelChoiceField(label="Area:", queryset=Area.objects.all(), required=True,
                                   widget=forms.Select(attrs={'class': 'required span12'}))

    class Meta:
        model = Pregunta


    def clean(self):
        return self.cleaned_data


    respuesta = forms.CharField(label='Respuesta :')
    acierto = forms.BooleanField(required=False, label='¿Correcta? :', initial=False)

