from django.conf.urls import patterns, url
from servicio import views
from .views import *

urlpatterns = patterns('',
	# Examples:
	# url(r'^$', 'proyecto.views.home', name='home'),
	# url(r'^proyecto/', include('proyecto.foo.urls')),

	# Uncomment the admin/doc line below to enable admin documentation:
	# url(r'^admin/doc/', include('django.contrib.admindocs.urls')),

	# Uncomment the next line to enable the admin:


	#url de inicio, para acceder al formulario o iniciar sesion
	url(r'^$', views.principal, name='principal'),

	#url para
	url(r'^acceder/$', views.acceder, name='acceder'),
	url(r'^login/$', views.login, name='login'),
	url(r'^logout/$', views.logout, name='logout'),


	url(r'^administrador/$', views.mostraralumno, name='mostraralumno'),

	#url para mostrar los formularios para crear, mostrar, editar y borrar registros del modelo: Cuestionario
	url(r'^crearcuestionario/$', views.crearcuestionario, name='crearcuestionario'),
	url(r'^mostrarcuestionario/$', views.mostrarcuestionario, name='mostrarcuestionario'),
	url(r'^(?P<cuestionario_id>\d+)/editarcuestionario/$', views.editarcuestionario, name='editarcuestionario'),
	url(r'^(?P<cuestionario_id>\d+)/borrarcuestionario/$', views.borrarcuestionario, name='borrarcuestionario'),
    url(r'^(?P<alumno_id>\d+)/detallecuestionario/$', views.detallecuestionario, name='detallecuestionario'),
    url(r'^(?P<alumno_id>\d+)/imprimir/$',imprimir.as_view() , name='imprimir'),

	#url para mostrar los formularios para crear, mostrar, editar y borrar registros del modelo: Area
	url(r'^creararea/$', views.creararea, name='creararea'),
	url(r'^mostrararea/$', views.mostrararea, name='mostrararea'),
	url(r'^(?P<area_id>\d+)/editararea/$', views.editararea, name='editararea'),
	url(r'^(?P<area_id>\d+)/borrararea/$', views.borrararea, name='borrararea'),

    url(r'^creardirectivo/$', views.creardirectivo, name='creardirectivo'),
    url(r'^mostrardirectivo/$', views.mostrardirectivo, name='mostrardirectivo'),
	url(r'^(?P<directivo_id>\d+)/editarardirectivo/$', views.editardirectivo, name='editardirectivo'),
	url(r'^(?P<directivo_id>\d+)/borrardirectivo/$', views.borrardirectivo, name='borrardirectivo'),

	# url para mostrar los formularios para crear, mostrar, editar y borrar registros del modelo: Pregunta
	url(r'^crearpregunta/$', views.crearpregunta, name='crearpregunta'),
	url(r'^mostrarpregunta/$', views.mostrarpregunta, name='mostrarpregunta'),
	url(r'^(?P<pregunta_id>\d+)/editarpreguntas/$', views.editarpreguntas, name='editarpreguntas'),


    url(r'^(?P<pregunta_id>\d+)/editarpreguntasres/$', views.editarpreguntasres, name='editarpreguntasres'),


    url(r'^(?P<pregunta_id>\d+)/editarpreguntarespuestas/$', views.editarpreguntarespuestas, name='editarpreguntarespuestas'),

	url(r'^(?P<pregunta_id>\d+)/borrarpregunta/$', views.borrarpregunta, name='borrarpregunta'),


	#url para mostrar los formularios para mostrar, editar y borrar registros del modelo: Alumno
	url(r'^mostraralumno/$', views.mostraralumno, name='mostraralumno'),
	url(r'^(?P<alumno_id>\d+)/editaralumno/$', views.editaralumno, name='editaralumno'),
	url(r'^(?P<alumno_id>\d+)/borraralumno/$', views.borraralumno, name='borraralumno'),
    url(r'^(?P<alumno_id>\d+)/detallealumno/$', views.detallealumno, name='detallealumno'),
    url(r'^(?P<alumno_id>\d+)/graficaralumno/$', views.graficaralumno, name='graficaralumno'),
    url(r'^(?P<alumno_id>\d+)/envioalumno/$', views.envio, name='envioalumno'),



	#url para mostrar los formularios para crear, mostrar, editar y borrar registros del modelo: respuesta
	url(r'^crearrespuesta/$', views.crearrespuesta, name='crearrespuesta'),
	url(r'^mostrarrespuesta/$', views.mostrarrespuesta, name='mostrarrespuesta'),
	url(r'^(?P<respuesta_id>\d+)/editarrespuesta/$', views.editarrespuesta, name='editarrespuesta'),
	url(r'^(?P<respuesta_id>\d+)/borrarrespuesta/$', views.borrarrespuesta, name='borrarrespuesta'),
    url(r'^(?P<respuesta_id>\d+)/eliminarrespuestas/$', views.eliminarrespuestas, name='eliminarrespuestas'),
	url(r'^pag/$', views.pagina, name='pagina'),
	#url para mostrar todas las preguntas de todas las areas
	#url(r'^(?P<f>\d+)/preguntas/$', views.preguntas, name='preguntas'),
	#url(r'^preguntas/$', views.preguntas, name='preguntas'),


	# url que muestra el formulario para registrar al alumno
	url(r'^nuevoalumno/$', views.nuevoalumno, name='nuevoalumno'),# Muestra el formulario para que el usuario se registre


	# url que accede ala vista para guardar en el modelo: Resultado los aciertos de cada alumno
	#url(r'^resultado/(?P<datoalumno_id>\d+)/$', views.resultado, name='resultado'),
	url(r'^resultado/$', views.resultado, name='resultado'),

	url(r'^termino/$', views.termino, name='termino'),# Se muestra al  termino del cuestionario
	url(r'^admin/$',views.conteo_respuestas, name='conteo_respuestas'),# url muestra el formulario con los aciertos de laos alumnos
	url(r'^conteo/$',views.conteo_respuestas_tabla, name='conteo_respuestas_tabla'),# url muestra el formulario con los aciertos de laos alumnos
	url(r'^buscar/$',views.buscarAlum, name='buscarAlum'),# url muestra el formulario con los aciertos de laos alumnos
	url(r'^(?P<alumno_id>\d+)/mostrarResultado/$', views.mostrarResultado, name='mostrarResultado'),
)
